#!/usr/bin/env gem build
# -*- coding: utf-8 -*-
# encoding: utf-8

# Gravaty
# Copyright © 2013  Marco Bresciani
#
# This program is free software: you can redistribute it and/or modify it under the terms of the GNU General Public
# License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later
# version.
#
# This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied
# warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License along with this program. If not, see
# <http://www.gnu.org/licenses/>.

require 'base64'
require 'changelog'

# ----------------------------------------------------------------------------------------------------------------------
# -------------------------------------------------------------------------------------------------- Gravaty description
# ----------------------------------------------------------------------------------------------------------------------
Gem::Specification.new do |a_gem|
  a_gem.name = 'gravaty'
  a_gem.version = '0.1.6'
  a_gem.license = 'GNU GPLv3'
  a_gem.author = 'Marco Bresciani'
  a_gem.authors = ['Marco Bresciani']
  a_gem.email = Base64.decode64('bS5icmVzY2lhbmlAZW1haWwuaXQ=')
  a_gem.homepage = 'http://it.linkedin.com/pub/marco-bresciani/51/b42/26a/'
  a_gem.summary = 'My first experimental Ruby gem to retrieve information from Gravatar site.'
  a_gem.description = %q{This gem can be used to retrieve data, information and avatars from Gravatar site, both as strings (URL to be displayed), images, MD5, ... It's just my first experiment with a "real" Ruby gem, hoping it will be useful for someone. GNU GPLv3 license; source code will be available soon on Savannan.NonGnu.Org as soon as the project will be approved or write me and I'll send it.}
  a_gem.has_rdoc = true

  # -------------------------------------------------------------------------------------------------------------- files
  a_gem.bindir = 'bin'
  a_gem.files = %w(Rakefile AUTHORS CHANGELOG LICENSE README THANKS TODO) + Dir.glob('{bin,lib,spec,doc}/**/*')
  Dir['bin/*'].map(&File.method(:basename))
  a_gem.default_executable = 'usage_sample'
  a_gem.require_path = 'lib'
  a_gem.require_paths = %w(lib)
  a_gem.extra_rdoc_files = %w(LICENSE README)

  # ------------------------------------------------------------------------------------------------------- Ruby version
  a_gem.required_ruby_version = ::Gem::Requirement.new('~> 2.0')
  a_gem.platform = Gem::Platform::RUBY

  # ----------------------------------------------------------------------------------------------- runtime dependencies
  a_gem.add_dependency 'changelog'
  a_gem.add_dependency 'r18n-desktop'
  a_gem.add_dependency 'r18n-core'
  # ------------------------------------------------------------------------------------------- development dependencies
  a_gem.add_development_dependency 'builder'
  a_gem.add_development_dependency 'bundler'
  a_gem.add_development_dependency 'cucumber'
  a_gem.add_development_dependency 'diff-lcs'
  a_gem.add_development_dependency 'json'
  a_gem.add_development_dependency 'rake'
  a_gem.add_development_dependency 'rdoc'
  a_gem.add_development_dependency 'rspec'
  a_gem.add_development_dependency 'rspec-core'
  a_gem.add_development_dependency 'rspec-expectations'
  a_gem.add_development_dependency 'rspec-mocks'
  # ------------------------------------------------------------------------------------------------------- dependencies
  a_gem.requirements = a_gem.required_ruby_version.to_s, a_gem.dependencies.to_s

  # ------------------------------------------------------------------------------------------------------------- others
  a_gem.post_install_message = CHANGELOG.new.version_changes
end
